boost::geometry::traits::exterior_ring< Polygon > Struct Template Reference
traits: adapt geometries

Traits class defining access to exterior_ring of a polygon. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_POLYGON_TYPE,(types< Polygon >))

## Detailed Description

### template<typename Polygon>
struct boost::geometry::traits::exterior_ring< Polygon >

Traits class defining access to exterior_ring of a polygon.

Should define const and non const access

Template Parameters:

  Polygon | the polygon type

Geometries:
  - polygon

Specializations should provide:
  - static inline RING& get(POLY& )
  - static inline RING const& get(POLY const& )

## Member Function Documentation

template<typename Polygon >

boost::geometry::traits::exterior_ring< Polygon >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_POLYGON_TYPE | ,
|  | (types< Polygon >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK